val.hpp File Reference
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | Gecode::Int::Cumulatives::Event
| An event collects the information for one evnet for the sweep-line. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Cumulatives
| Cumulatives propagators

## Macros

#define | GECODE_PUSH_EVENTS(E)

## Enumerations

enum | Gecode::Int::Cumulatives::ev_t { Gecode::Int::Cumulatives::EVENT_CHCK , Gecode::Int::Cumulatives::EVENT_PROF , Gecode::Int::Cumulatives::EVENT_PRUN }
| Types of events for the sweep-line. More...

## Macro Definition Documentation

## GECODE_PUSH_EVENTS

#define GECODE_PUSH_EVENTS | ( |  | E | ) |

Value:
assert(events_size < s.size()*8); \
events[events_size++] = E